Namespace
library
Image / Tag
swift:5.9.1-rhel-ubi9
Content Digest
sha256:55993878f31556fe8ba269a3e9c8bc143b91a824d36583912c8c716b9ab1444e
Details
Created

2023-11-17 04:18:47 UTC

Size

770 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2023-11-09T16:40:44
  • com.redhat.component
    ubi9-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • description
    Docker Container for the Swift programming language
  • distribution-scope
    public
  • io.buildah.version
    1.29.0
  • io.k8s.description
    The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly.
  • io.k8s.display-name
    Red Hat Universal Base Image 9
  • io.openshift.expose-services
  • io.openshift.tags
    base rhel9
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • name
    ubi9
  • release
    1361.1699548029
  • summary
    Provides the latest release of Red Hat Universal Base Image 9.
  • url
    https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.3-1361.1699548029
  • vcs-ref
    eb726081eeafc660c182aae53074ec6631cb473e
  • vcs-type
    git
  • vendor
    Red Hat, Inc.
  • version
    9.3

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.9.1-release

SWIFT_PLATFORM

ubi9

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.9.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org

container

oci


Layers

[#000] sha256:b824f4b30c465e487e640bdc22e46bafd6983e4e0eabf30085cacf945c261160 - 9.75% (75.1 MB)

[#001] sha256:9147eac6cae0e29431453d2a3a2886e28d88a1a9c6a377ff7e6caa3e989c1dd8 - 15.08% (116 MB)

[#002] sha256:37c00a38331bb8aacf017dfcb70e3bf66959b073ba12dc25ac16163f8dfcf5fe - 75.17% (579 MB)

[#003] sha256:33a2379332fa540892b5d65b28fdb6ad1af0f52d639b4c94c8a50b2a1d64ac2f - 0.0% (201 Bytes)


History
2023-11-09 16:57:21 UTC

/bin/sh -c #(nop) ADD file:51365bf81ffef571b9cae6537437d1cb9578bf45d8b6a353848d4bbc24583ace in /

2023-11-09 16:57:22 UTC

/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :

2023-11-09 16:57:22 UTC

/bin/sh -c #(nop) ADD file:ecc29a1455ca1b7c82018555e16e2e802135974523df6748e431f8707e759ddd in /tmp/tls-ca-bundle.pem

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) ADD multi:af962ebf871d89c5885926949add253d557f4af2063b876a12e675ae0ac48a6d in /etc/yum.repos.d/

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.3"

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) ENV container oci

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-11-09 16:57:23 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-11-09 16:57:23 UTC

/bin/sh -c rm -rf /var/log/*

2023-11-09 16:57:24 UTC

/bin/sh -c mkdir -p /var/log/rhsm

2023-11-09 16:57:24 UTC

/bin/sh -c #(nop) ADD file:b21f5a973eb1a7e7cede8eb88bab4f034175bf01de661263540b4722655ec4b1 in /root/buildinfo/content_manifests/ubi9-container-9.3-1361.1699548029.json

2023-11-09 16:57:25 UTC

/bin/sh -c #(nop) ADD file:81c5ce84fbc74763cd36dea9ef0064ee0c92125a77a579cfbb4a026beeb7be4f in /root/buildinfo/Dockerfile-ubi9-9.3-1361.1699548029

2023-11-09 16:57:25 UTC

/bin/sh -c #(nop) LABEL "release"="1361.1699548029" "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2023-11-09T16:40:44" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="eb726081eeafc660c182aae53074ec6631cb473e" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.3-1361.1699548029"

2023-11-09 16:57:26 UTC

/bin/sh -c rm -f '/etc/yum.repos.d/odcs-2540020-1b8c0.repo' '/etc/yum.repos.d/gitweb-15c2e.repo'

2023-11-09 16:57:27 UTC

/bin/sh -c rm -f /tmp/tls-ca-bundle.pem

2023-11-09 16:57:29 UTC

/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :

2023-11-17 04:17:31 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-11-17 04:17:32 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-11-17 04:17:53 UTC

/bin/sh -c yum -y install git gcc-c++ libcurl-devel libedit-devel libuuid-devel libxml2-devel ncurses-devel python3-devel rsync sqlite-devel unzip zip

2023-11-17 04:17:54 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-11-17 04:17:54 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubi9

2023-11-17 04:17:54 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9.1-release

2023-11-17 04:17:54 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9.1-RELEASE

2023-11-17 04:17:54 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-11-17 04:17:55 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.9.1-release SWIFT_VERSION=swift-5.9.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-11-17 04:18:41 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

2023-11-17 04:18:47 UTC

/bin/sh -c swift --version

Details
Created

2023-11-17 03:34:23 UTC

Size

757 MB

Content Digest
Labels
  • architecture
    aarch64
  • build-date
    2023-11-09T16:40:44
  • com.redhat.component
    ubi9-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • description
    Docker Container for the Swift programming language
  • distribution-scope
    public
  • io.buildah.version
    1.29.0
  • io.k8s.description
    The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly.
  • io.k8s.display-name
    Red Hat Universal Base Image 9
  • io.openshift.expose-services
  • io.openshift.tags
    base rhel9
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • name
    ubi9
  • release
    1361.1699548029
  • summary
    Provides the latest release of Red Hat Universal Base Image 9.
  • url
    https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.3-1361.1699548029
  • vcs-ref
    eb726081eeafc660c182aae53074ec6631cb473e
  • vcs-type
    git
  • vendor
    Red Hat, Inc.
  • version
    9.3

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.9.1-release

SWIFT_PLATFORM

ubi9

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.9.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org

container

oci


Layers

[#000] sha256:19dd821b7a83bf1ad388914394494ea983308667df914c57a315c52e312eb2c4 - 9.64% (73 MB)

[#001] sha256:70fc2b349bdc2939f2aecce639b6653edd36f9f850fdccef537fce3ef5d9db32 - 14.58% (110 MB)

[#002] sha256:88148505798541ea5c506304e406f4be51fb6b83b9c3b11149acacd8df0209ef - 75.78% (574 MB)

[#003] sha256:3f961a494086fe6ed78a9034e03cbfe314c899ce82e3c588e34d2c2e9d461298 - 0.0% (200 Bytes)


History
2023-11-09 16:57:17 UTC

/bin/sh -c #(nop) ADD file:205960a3d0706f085c18728490f06b5e7fd7a132ab6b07a95a4ed18f00e126f4 in /

2023-11-09 16:57:18 UTC

/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) ADD file:ecc29a1455ca1b7c82018555e16e2e802135974523df6748e431f8707e759ddd in /tmp/tls-ca-bundle.pem

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) ADD multi:af962ebf871d89c5885926949add253d557f4af2063b876a12e675ae0ac48a6d in /etc/yum.repos.d/

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.3"

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) ENV container oci

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-11-09 16:57:18 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-11-09 16:57:19 UTC

/bin/sh -c rm -rf /var/log/*

2023-11-09 16:57:20 UTC

/bin/sh -c mkdir -p /var/log/rhsm

2023-11-09 16:57:20 UTC

/bin/sh -c #(nop) ADD file:0b626ed84dc2ce267bf6b274208582760edaf2c022f3194ac8260153cafce9d1 in /root/buildinfo/content_manifests/ubi9-container-9.3-1361.1699548029.json

2023-11-09 16:57:21 UTC

/bin/sh -c #(nop) ADD file:a85c30847dff015a401ef205805a5a71cc706ae037b798d7b69c0465edec50a7 in /root/buildinfo/Dockerfile-ubi9-9.3-1361.1699548029

2023-11-09 16:57:21 UTC

/bin/sh -c #(nop) LABEL "release"="1361.1699548029" "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2023-11-09T16:40:44" "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="eb726081eeafc660c182aae53074ec6631cb473e" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.3-1361.1699548029"

2023-11-09 16:57:22 UTC

/bin/sh -c rm -f '/etc/yum.repos.d/odcs-2540020-1b8c0.repo' '/etc/yum.repos.d/gitweb-15c2e.repo'

2023-11-09 16:57:23 UTC

/bin/sh -c rm -f /tmp/tls-ca-bundle.pem

2023-11-09 16:57:25 UTC

/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :

2023-11-17 03:33:06 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-11-17 03:33:06 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2023-11-17 03:33:24 UTC

/bin/sh -c yum -y install git gcc-c++ libcurl-devel libedit-devel libuuid-devel libxml2-devel ncurses-devel python3-devel rsync sqlite-devel unzip zip

2023-11-17 03:33:26 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-11-17 03:33:26 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=ubi9

2023-11-17 03:33:26 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.9.1-release

2023-11-17 03:33:26 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.9.1-RELEASE

2023-11-17 03:33:26 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2023-11-17 03:33:26 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-5.9.1-release SWIFT_VERSION=swift-5.9.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-11-17 03:34:11 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

2023-11-17 03:34:23 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete